Class | Chef::Knife::Configure
In: | lib/chef/knife/configure.rb
Parent: | Knife

### Methods

ask_user_for_config ask_user_for_config_path chef_config_path config_file configure_chef guess_servername run

### Attributes

admin_client_key | [R] |
admin_client_name | [R] |
chef_repo | [R] |
chef_server | [R] |
new_client_key | [R] |
new_client_name | [R] |
validation_client_name | [R] |
validation_key | [R] |

### Public Instance methods

ask_user_for_config()
ask_user_for_config_path()
chef_config_path()
config_file()
configure_chef()
guess_servername()
run()

[Validate]